From a48e81803b587db5831005370551c53c5abd90da Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 20 2023 06:58:25 +0000
Subject: [PATCH 16/19] [version_constraint.sh]: `unset` the inner Log() function


---

diff --git a/libre/bibletime/PKGBUILD b/libre/bibletime/PKGBUILD
index 9123326..961272a 100644
--- a/libre/bibletime/PKGBUILD
+++ b/libre/bibletime/PKGBUILD
@@ -75,6 +75,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/blender/PKGBUILD b/libre/blender/PKGBUILD
index 09e3b7f..38238d6 100644
--- a/libre/blender/PKGBUILD
+++ b/libre/blender/PKGBUILD
@@ -121,6 +121,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/cups-filters/PKGBUILD b/libre/cups-filters/PKGBUILD
index 3ad2838..caec7c5 100644
--- a/libre/cups-filters/PKGBUILD
+++ b/libre/cups-filters/PKGBUILD
@@ -83,6 +83,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/freecad/PKGBUILD b/libre/freecad/PKGBUILD
index b247104..13a6f7d 100644
--- a/libre/freecad/PKGBUILD
+++ b/libre/freecad/PKGBUILD
@@ -97,6 +97,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/icedove-extension-enigmail/PKGBUILD b/libre/icedove-extension-enigmail/PKGBUILD
index f976588..c6a7730 100644
--- a/libre/icedove-extension-enigmail/PKGBUILD
+++ b/libre/icedove-extension-enigmail/PKGBUILD
@@ -91,6 +91,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/jami-qt/PKGBUILD b/libre/jami-qt/PKGBUILD
index 0c983d0..0d00b57 100644
--- a/libre/jami-qt/PKGBUILD
+++ b/libre/jami-qt/PKGBUILD
@@ -76,6 +76,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/libxfce4ui/PKGBUILD b/libre/libxfce4ui/PKGBUILD
index 5be606f..63a1ccd 100644
--- a/libre/libxfce4ui/PKGBUILD
+++ b/libre/libxfce4ui/PKGBUILD
@@ -75,6 +75,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/pyqt5/PKGBUILD b/libre/pyqt5/PKGBUILD
index 9478fc2..f5a99e9 100644
--- a/libre/pyqt5/PKGBUILD
+++ b/libre/pyqt5/PKGBUILD
@@ -100,6 +100,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/qt5-styleplugins/PKGBUILD b/libre/qt5-styleplugins/PKGBUILD
index 102edde..a3f5d57 100644
--- a/libre/qt5-styleplugins/PKGBUILD
+++ b/libre/qt5-styleplugins/PKGBUILD
@@ -75,6 +75,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/qt5-webkit/PKGBUILD b/libre/qt5-webkit/PKGBUILD
index c0237ec..02b5c52 100644
--- a/libre/qt5-webkit/PKGBUILD
+++ b/libre/qt5-webkit/PKGBUILD
@@ -87,6 +87,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/libre/qutebrowser/PKGBUILD b/libre/qutebrowser/PKGBUILD
index 9c900e7..932a08b 100644
--- a/libre/qutebrowser/PKGBUILD
+++ b/libre/qutebrowser/PKGBUILD
@@ -95,6 +95,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr-testing/calamares/PKGBUILD b/pcr-testing/calamares/PKGBUILD
index 962cd64..7b0ebce 100644
--- a/pcr-testing/calamares/PKGBUILD
+++ b/pcr-testing/calamares/PKGBUILD
@@ -63,6 +63,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/gmid/PKGBUILD b/pcr/gmid/PKGBUILD
index 6ea41b4..da9c37f 100644
--- a/pcr/gmid/PKGBUILD
+++ b/pcr/gmid/PKGBUILD
@@ -97,6 +97,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/gnustep-gui/PKGBUILD b/pcr/gnustep-gui/PKGBUILD
index 0ee33da..21a0566 100644
--- a/pcr/gnustep-gui/PKGBUILD
+++ b/pcr/gnustep-gui/PKGBUILD
@@ -89,6 +89,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/lightspark/PKGBUILD b/pcr/lightspark/PKGBUILD
index 3ad53ad..4a91f68 100644
--- a/pcr/lightspark/PKGBUILD
+++ b/pcr/lightspark/PKGBUILD
@@ -74,6 +74,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/puzzlemoppet-git/PKGBUILD b/pcr/puzzlemoppet-git/PKGBUILD
index 5b14bab..7b6de38 100644
--- a/pcr/puzzlemoppet-git/PKGBUILD
+++ b/pcr/puzzlemoppet-git/PKGBUILD
@@ -62,6 +62,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/pypolicyd-spf/PKGBUILD b/pcr/pypolicyd-spf/PKGBUILD
index d2236a0..6e37f71 100644
--- a/pcr/pypolicyd-spf/PKGBUILD
+++ b/pcr/pypolicyd-spf/PKGBUILD
@@ -69,6 +69,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/python-py3dns/PKGBUILD b/pcr/python-py3dns/PKGBUILD
index 4f1e33c..b6a5dae 100644
--- a/pcr/python-py3dns/PKGBUILD
+++ b/pcr/python-py3dns/PKGBUILD
@@ -64,6 +64,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 
diff --git a/pcr/python-pyspf/PKGBUILD b/pcr/python-pyspf/PKGBUILD
index bf5a8b6..76a864f 100644
--- a/pcr/python-pyspf/PKGBUILD
+++ b/pcr/python-pyspf/PKGBUILD
@@ -63,6 +63,8 @@ _version_constraint() # (dep_pkgname [precision])
        exit 1
   fi
 
+  unset -f Log
+
   echo -n "${constraint_string}"
 }
 

